--天墉城
--  妖界挑战NPC对话

--脚本号
x101013_g_scriptId=101013

--事件交互入口
function x101013_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"前方異常兇險，年輕人，你還是回去吧")

	AddNumText(scene,x101013_g_scriptId,"前往首領處",-2,0)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end




--事件列表选中一项

function x101013_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		local nCurStage = GetCopySceneParam(scene, 0)
		SetCopySceneParam(scene,0,nCurStage+1)
		SetCopySceneParam(scene,1,0)
		local nUserCount = GetSceneUserCount(scene)
		for i=0,nUserCount-1 do
			local nUserObjId = GetUserObjIdByIdx(scene,i)
			ShowBossTips(scene, nUserObjId, 2, 5018)
		end
		local MonId = GetObjIdByRoleBase(scene, 14)
		DeleMonsterByObjId(scene, MonId)
	elseif index==1 then
		BeginEvent(scene)
			AddText(scene,"吃飯睡覺")
		EndEvent(scene)	
	end

end